Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::core::map< KeyType, ValueType >::AccessClass Class Reference

`#include <irrMap.h>`

List of all members.

## Public Member Functions
| operator ValueType ()
void | operator= (const ValueType &value)
## Friends
class | map< KeyType, ValueType >

## Detailed Description

### template<class KeyType, class ValueType>
class irr::core::map< KeyType, ValueType >::AccessClass

Definition at line 487 of file irrMap.h.

## Member Function Documentation

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::AccessClass::operator ValueType | ( |  | ) | `[inline]`

Definition at line 502 of file irrMap.h.

References _IRR_DEBUG_BREAK_IF, _IRR_IMPLEMENT_MANAGED_MARSHALLING_BUGFIX, and irr::core::map< KeyType, ValueType >::find().

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::AccessClass::operator= | ( | const ValueType & | value | ) | `[inline]`

Definition at line 495 of file irrMap.h.

References irr::core::map< KeyType, ValueType >::set().

## Friends And Related Function Documentation

template<class KeyType, class ValueType>

friend class map< KeyType, ValueType >`[friend]`

Definition at line 490 of file irrMap.h.

The documentation for this class was generated from the following file:

- irrMap.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:03 2010 by Doxygen (1.6.2)